Bug 1291417 - terminal crashes when scrollback is significant (171MB) and prefs do not limit scrollback
terminal crashes when scrollback is significant (171MB) and prefs do not limi...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 15:32 EST by Chris Murphy
Modified: 2016-12-20 12:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:01:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (44.91 KB, text/plain)
2015-12-15 01:10 EST, Chris Murphy
no flags Details
core_backtrace (11.48 KB, text/plain)
2015-12-15 01:10 EST, Chris Murphy
no flags Details
crash_function (23 bytes, text/plain)
2015-12-15 01:10 EST, Chris Murphy
no flags Details
dso_list (10.84 KB, text/plain)
2015-12-15 01:11 EST, Chris Murphy
no flags Details
event_log (29.51 KB, text/plain)
2015-12-15 01:11 EST, Chris Murphy
no flags Details
reason (39 bytes, text/plain)
2015-12-15 01:12 EST, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2015-12-14 15:32:26 EST
Description of problem:

GNOME Terminal is configured to not limit scrollback. During remote connection to troubleshoot a file system, the results require a lot of scrollback capacity, i.e. if that scrollback were saved to a file it'd be 171MB. The client running Terminal has 8GiB RAM with the overwhelming majority of it free. But at a certain point during receipt of this stream, Terminal becomes unresponsible and then even the mouse arrow can't be moved and it appears as a fully hung system. But eventually gnome-terminal-server crashes.

The resulting coredump is too big for retrace server, 4.3GB. And gnome-abrt reports it can't find packages for 2 debuginfo files, so it can't file the bug.


Version-Release number of selected component (if applicable):
gnome-terminal-3.18.2-1.fc23.x86_64

How reproducible:
Always


Steps to Reproduce:
1. gnome-terminal, preferences, uncheck limit scrollback option
2. ssh to remote system
3. btrfs-debug-tree -t2 <dev>


Actual results:

Hang, including mouse arrow, then gnome-terminal-server killed by SIGSEGV- abrt.



Expected results:

No crash. If for some reason it can't handled 171MB it should fail more gracefully.

Additional info:
Comment 1 Chris Murphy 2015-12-15 01:10 EST
Created attachment 1105878 [details]
backtrace
Comment 2 Chris Murphy 2015-12-15 01:10 EST
Created attachment 1105879 [details]
core_backtrace
Comment 3 Chris Murphy 2015-12-15 01:10 EST
Created attachment 1105880 [details]
crash_function
Comment 4 Chris Murphy 2015-12-15 01:11 EST
Created attachment 1105881 [details]
dso_list
Comment 5 Chris Murphy 2015-12-15 01:11 EST
Created attachment 1105882 [details]
event_log
Comment 6 Chris Murphy 2015-12-15 01:12 EST
Created attachment 1105883 [details]
reason
Comment 7 Fedora End Of Life 2016-11-24 09:14:10 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 12:01:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.